Get company status dashboard

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /company-dashboard/{companyId}/plans-usage

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • planCountUsed number(double)
    • maxPlanCount integer(int32)
    • projectPlan object
      Hide projectPlan attributes Show projectPlan attributes object
      • id string
      • name string
      • planSequence integer(int32)
      • colorCode string
GET /company-dashboard/{companyId}/plans-usage
curl \
 --request GET 'https://live.smartpmtech.com/company-dashboard/{companyId}/plans-usage' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "planCountUsed": 42.0,
    "maxPlanCount": 42,
    "projectPlan": {
      "id": "string",
      "name": "string",
      "planSequence": 42,
      "colorCode": "string"
    }
  }
]